Publishing to flickr broken since api.flickr went https-only

Bug #1335600 reported by Simon Lyall on 2014-06-29
110
This bug affects 21 people
Affects Status Importance Assigned to Milestone
Shotwell
Fix Released
Medium
shotwell (Ubuntu)
High
Unassigned
Trusty
High
Unassigned

Bug Description

* Impact
the flickr integration doesn't work

* Test case
try publishing photos to flickr from shotwell

* Regression potentiel
the code only changes the flickr integration, test that the feature is working

-------------------------------

The flickr api went to https only on June 27th 2014. It appears the shotwell is still using http so "publishing" to flickr no longer works.

https://code.flickr.net/2014/04/30/flickr-api-going-ssl-only-on-june-27th-2014/

Problem appears to be present in:

Shotwell 0.15.0-0ubuntu1 on Ubuntu 13.10
Shotwell 0.18.0-0ubuntu4 on Ubuntu 14.04

Error is as follows, within a second or two of hitting the "publish" button.

--------
Publishing to Flickr can't continue because an error occurred:

Service http://api.flickr.com.services/rest returned HTTP status code 403 Forbidden

To Try publishing to another service select one from the above menu.
--------

I last published a week ago with no problems.

description: updated
description: updated
Changed in shotwell (Ubuntu):
status: New → Confirmed
Joseph Bylund (joseph-bylund) wrote :

I reported this upstream (gnome) and attached a patch there. I think (but I'm not 100% sure) that is the best way to handle this.
https://bugzilla.gnome.org/show_bug.cgi?id=732432
-Joe

Jim Nelson (yorba-jim) wrote :

This is fixed upstream in master.

Changed in shotwell (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package shotwell - 0.18.0-0ubuntu8

---------------
shotwell (0.18.0-0ubuntu8) utopic; urgency=medium

  * debian/patches/git_flickr_url.patch:
    - Fix Flickr publishing (now HTTPs only) (lp: #1335600)
 -- Sebastien Bacher <email address hidden> Tue, 01 Jul 2014 10:40:37 +0200

Changed in shotwell (Ubuntu):
status: Triaged → Fix Released
Sebastien Bacher (seb128) wrote :

uploaded as a trusty SRU as well, testing of the utopic version to confirm it works would be welcome though

description: updated
Alastair Rae (alastair-rae) wrote :

This problem also occurs on Shotwell 0.12 on Ubuntu 12.04.

Andrey Oleynik (andrey-oleynik) wrote :

When fix will be released for 14.04?

Sebastien Bacher (seb128) wrote :

When the fix is confirmed to be working on the current package uploaded to utopic

Changed in shotwell:
importance: Unknown → Medium
status: Unknown → Fix Released
Jim Nelson (yorba-jim) wrote :

Sebastien, I've tested this on Utopic and it works fine.

Andrew Lorien (subscriptions-e) wrote :

Working for me also:
3.15.0-6-generic #11-Ubuntu SMP Thu Jun 12 00:40:00 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
LSB Version: core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch:core-4.1-amd64:core-4.1-noarch
thanks!

Sebastien Bacher (seb128) wrote :

Jim, Andrew, thanks for testing, I've uploaded the SRU to the trusty queue, it just needs to be reviewed/accepted now

Janne Moren (jan-moren-gmail) wrote :

Is the version in theYorba PPA fixed? If so, that may be a good interim solution.

Hello Simon, or anyone else affected,

Accepted shotwell into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/shotwell/0.18.0-0ubuntu4.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in shotwell (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Paul Rule (paulrule1-w) wrote :

Sorry for the novice question, but does this mean the fix will ever be available for ubuntu 11.10 - or should I upgrade to 12.04? I looked at the enable proposed information above, and it explicitly talks about 12.04...

Thanks.

Danny Howard (dannyman) wrote :

After sudo apt-get install shotwell/trusty-proposed I go to File > Publish ... and the only option is Piwigo.

Add more accounts says there are no providers ...

Edit > Preferences > Plugins lists Facebook, Flickr, Picasa, and Piwigo as checked under Publishing.

Something here is amiss ...

Danny Howard (dannyman) wrote :

Setting up shotwell-common (0.18.0-0ubuntu4.2) ...
Setting up shotwell (0.18.0-0ubuntu4.2) ...

Pascal de Bruijn (pmjdebruijn) wrote :

Utopic has shotwell 0.18.1, which has the flickr https fix, with a few other fixes as well.

https://mail.gnome.org/archives/shotwell-list/2014-July/msg00000.html

Presumably it might make sense to backport 0.18.1 to Trusty.

Jim Nelson (yorba-jim) wrote :

@Danny you're still using 0.18.0 which does not have the Flickr fix. You'll need to upgrade to 0.18.1 for it. I don't know if Ubuntu plans on backporting the fix to Trusty but a version for 14.04 is available at Yorba's PPA, https://launchpad.net/~yorba/+archive/ubuntu/ppa

I suspect your issue with accounts has something to do with Ubuntu Online Accounts, not Shotwell. Note that the version on our PPA does not use UOA.

Danny Howard (dannyman) wrote :

The PPA Jim pointed out works a champ for uploading to Flickr. Importing is still broken, but at least this new version doesn't simply freeze up. Way more stable than the default branch. -danny

Sebastien Bacher (seb128) wrote :

What version are you using?

There is a SRU in trusty-proposed for this issue, see comment #12, it just needs to be validated/have somebody confirming the fix is working so it can move to -updates and be available for all users.

If anyone is using flickr it would be nice to test that version

The version in trusty-proposed fixes the issue. I was able to publish to Flickr.

Sebastien Bacher (seb128) wrote :

Thanks for testing, setting to verification-done

Changed in shotwell (Ubuntu Trusty):
importance: Undecided → High
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package shotwell - 0.18.0-0ubuntu4.2

---------------
shotwell (0.18.0-0ubuntu4.2) trusty; urgency=medium

  * debian/patches/git_flickr_url.patch:
    - Fix Flickr publishing (now HTTPs only) (lp: #1335600)
 -- Sebastien Bacher <email address hidden> Tue, 01 Jul 2014 10:40:37 +0200

Changed in shotwell (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for shotwell has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.